Devuan bug report logs - #475
reportbug --bts debian doesn't work because of relaying denied

version graph

Package: reportbug; Maintainer for reportbug is Mark Hindley <mark@hindley.org.uk>;

Reported by: Jens Korte <korte@secure.mailbox.org>

Date: Sat, 23 May 2020 13:18:01 UTC

Severity: normal

Found in version 7.5.3+devuan3

Fixed in version 7.6.0+devuan1

Done: dak@devuan.org

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, korte@secure.mailbox.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#475; Package reportbug. (Sat, 23 May 2020 13:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Jens Korte <korte@secure.mailbox.org>:
New bug report received and forwarded. Copy sent to korte@secure.mailbox.org, Devuan Developers <devuan-dev@lists.dyne.org>. (Sat, 23 May 2020 13:18:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Jens Korte <korte@secure.mailbox.org>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: reportbug --bts debian doesn't work because of relaying denied
Date: Sat, 23 May 2020 15:00:28 +0200
Package: reportbug
Version: 7.5.3+devuan3
Severity: normal

Dear Maintainer,

   * What led up to the situation?
I wanted to report the bug #474 upstream to debian and tried to use
reportbug --bts debian avfs.
When trying to submit the message I got:
Spawning sensible-editor...
Report will be sent to Debian Bug Tracking System
<submit@bugs.debian.org>
Submit this report on avfs (e to edit) [Y|n|a|c|e|i|l|m|p|q|d|t|s|?]?
Saving a backup of the report at
/tmp/reportbug-avfs-backup-20200523-1881-6tafpop8
Connecting to mx.devuan.org via SMTP...
SMTP send failure: {'submit@bugs.debian.org': (454, b'4.7.1 <submit@bugs.debian.org>: Relay access denied')}. Do you want to retry (or else save the report and exit)?  [Y|n|q|?]? 

   * What outcome did you expect instead?
reportbug --bts debian should report the bug to debian or the bts debian
should be remove from the list --bts help



-- Package-specific info:
** Environment settings:
INTERFACE="text"

** /home/j/.reportbugrc:
reportbug_version "7.5.3+devuan3"
mode standard
ui text
realname "Jens Korte"
email "korte@secure.mailbox.org"
no-cc
list-cc-me
smtphost mx.devuan.org

-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-8-amd64 (SMP w/4 CPU cores)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages reportbug depends on:
ii  apt                1.8.2.1
ii  python3            3.7.3-1
ii  python3-reportbug  7.5.3+devuan3
ii  sensible-utils     0.0.12

reportbug recommends no packages.

Versions of packages reportbug suggests:
ii  claws-mail                                 3.17.3-2
pn  debconf-utils                              <none>
pn  debsums                                    <none>
ii  dlocate                                    1.07+nmu1
pn  emacs-bin-common                           <none>
ii  exim4                                      4.92-8+deb10u4
ii  exim4-daemon-light [mail-transport-agent]  4.92-8+deb10u4
ii  file                                       1:5.35-4+deb10u1
ii  gnupg                                      2.2.12-1+deb10u1
pn  python3-urwid                              <none>
pn  reportbug-gtk                              <none>
ii  xdg-utils                                  1.1.3-1+deb10u1

Versions of packages python3-reportbug depends on:
ii  apt                1.8.2.1
ii  file               1:5.35-4+deb10u1
ii  python3            3.7.3-1
ii  python3-apt        1.8.4.1
ii  python3-debian     0.1.35
ii  python3-debianbts  2.8.2
ii  python3-requests   2.21.0-1
ii  sensible-utils     0.0.12

python3-reportbug suggests no packages.

-- no debconf information

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#475; Package reportbug. (Sat, 23 May 2020 17:48:02 GMT) (full text, mbox, link).


Message #8 received at 475@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 475@bugs.devuan.org, Jens Korte <korte@secure.mailbox.org>
Subject: Re: reportbug --bts debian doesn't work because of relaying denied
Date: Sat, 23 May 2020 18:36:04 +0100
Jens,

Thanks for this.

The issue is that you have mx.devuan.org as the reportbug smtphost (the default
setting).

As you might expect, it only accepts mail for bugs.devuan.org. I think you
needed to specify --smtphost=reportbug.debian.org as well, or configure a proper
smtp smarthost.

Mark

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#475; Package reportbug. (Sat, 23 May 2020 18:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Jens Korte <korte@secure.mailbox.org>:
Extra info received and forwarded to list. Copy sent to Devuan Developers <devuan-dev@lists.dyne.org>. (Sat, 23 May 2020 18:33:03 GMT) (full text, mbox, link).


Message #13 received at 475@bugs.devuan.org (full text, mbox, reply):

From: Jens Korte <korte@secure.mailbox.org>
To: 475@bugs.devuan.org
Subject: Re: reportbug --bts debian doesn't work because of relaying denied
Date: Sat, 23 May 2020 20:24:15 +0200
Am Sat, 23 May 2020 18:36:04 +0100
schrieb Mark Hindley <mark@hindley.org.uk>:

> --smtphost=reportbug.debian.org

Thanks, I guess the issue can be closed.

Could the page https://bugs.devuan.org/Reporting.html please be
extended by:

If you want to report a bug upstream to Debian and don't have a
working smtp then you can use:

reportbug --bts debian --smtphost=reportbug.debian.org <packagename>

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#475; Package reportbug. (Sun, 24 May 2020 11:33:01 GMT) (full text, mbox, link).


Message #16 received at 475@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Jens Korte <korte@secure.mailbox.org>, 475@bugs.devuan.org
Subject: Re: bug#475: reportbug --bts debian doesn't work because of relaying denied
Date: Sun, 24 May 2020 12:22:27 +0100
Jens,

On Sat, May 23, 2020 at 08:24:15PM +0200, Jens Korte wrote:
> Am Sat, 23 May 2020 18:36:04 +0100
> schrieb Mark Hindley <mark@hindley.org.uk>:
> 
> > --smtphost=reportbug.debian.org
> 
> Thanks, I guess the issue can be closed.
> 
> Could the page https://bugs.devuan.org/Reporting.html please be
> extended by:

Certainly. And probably the manpage could be clearer and more helpful on the
matter as well.

Thanks.

Mark

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#475; Package reportbug. (Sun, 24 May 2020 12:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Jens Korte <korte@mailbox.org>:
Extra info received and forwarded to list. Copy sent to Devuan Developers <devuan-dev@lists.dyne.org>. (Sun, 24 May 2020 12:48:05 GMT) (full text, mbox, link).


Message #21 received at 475@bugs.devuan.org (full text, mbox, reply):

From: Jens Korte <korte@mailbox.org>
To: 475@bugs.devuan.org
Subject: Re: bug#475: reportbug --bts debian doesn't work because of relaying denied
Date: Sun, 24 May 2020 14:30:47 +0200
On Sun, 24 May 2020 12:22:27 +0100 Mark Hindley <mark@hindley.org.uk>
wrote:

> Certainly. And probably the manpage could be clearer and more helpful
> on the matter as well.

Been there, done that:
https://salsa.debian.org/reportbug-team/reportbug/-/merge_requests/61

Reply sent to dak@devuan.org:
You have taken responsibility. (Mon, 25 May 2020 16:03:01 GMT) (full text, mbox, link).


Notification sent to Jens Korte <korte@secure.mailbox.org>:
bug acknowledged by developer. (Mon, 25 May 2020 16:03:04 GMT) (full text, mbox, link).


Message #26 received at 475-done@bugs.devuan.org (full text, mbox, reply):

From: dak@devuan.org
To: 475-done@bugs.devuan.org
Subject: #475: fixed in src:reportbug version 7.6.0+devuan1
Date: Mon, 25 May 2020 15:48:52 +0000
Version: 7.6.0+devuan1

Source package reportbug (7.6.0+devuan1) added to Devuan suite unstable.

This closes bug report 475.

Thanks

DAK managing the Devuan archive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 25 May 2020 10:56:30 +0100
Source: reportbug
Binary: reportbug python3-reportbug reportbug-gtk
Architecture: source
Version: 7.6.0+devuan1
Distribution: unstable
Urgency: medium
Maintainer: Mark Hindley <mark@hindley.org.uk>
Changed-By: Mark Hindley <mark@hindley.org.uk>
Description:
 python3-reportbug - Python modules for interacting with bug tracking systems
 reportbug  - reports bugs in the Devuan or Debian distribution
 reportbug-gtk - reports bugs in the Devuan or Debian distribution (GTK+ UI)
Closes: 475
Changes:
 reportbug (7.6.0+devuan1) unstable; urgency=medium
 .
   * Adopt package.
   * Merge version 7.6.0.
   * Add possible need to specify smtphost as well as bts to manpage
     (Closes: #475).
   * Add query bts defaults to manpage.
   * Add Devuan to package description.
Checksums-Sha1:
 1b2fae7ca11db694257d661e9dac1026f47b7e16 1490 reportbug_7.6.0+devuan1.dsc
 9c5f539e0f1901ec736eba765c5caa91228f9b64 195148 reportbug_7.6.0+devuan1.tar.xz
 bd00932418ad0e07aa2e103175c7bdd3dc370386 5435 reportbug_7.6.0+devuan1_source.buildinfo
Checksums-Sha256:
 e6284eb59d179cbe5fd8106dc862453adbd57e404e596eaddfad9d71ac07c7ea 1490 reportbug_7.6.0+devuan1.dsc
 217e30a6286c2ef1999d40ba6b61375eac55c39dfe9483655e8f367df00c5804 195148 reportbug_7.6.0+devuan1.tar.xz
 3fd98a45cdabb084b85d8429cc0ff784a65ad3ee5d76e9d59f1a72815d6897a1 5435 reportbug_7.6.0+devuan1_source.buildinfo
Files:
 973a5c5bb2de0f0a9efa8119d3576243 1490 utils standard reportbug_7.6.0+devuan1.dsc
 a4320f0abeffda9b0307347b363bcbdf 195148 utils standard reportbug_7.6.0+devuan1.tar.xz
 e59f385a610cef75ff8022bb74d7f500 5435 utils standard reportbug_7.6.0+devuan1_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEcuPLdzMV36LkZHQ9lFMhJFQZIvsFAl7L6HsACgkQlFMhJFQZ
IvuFJAgAk6dp7xONzucZeSaUZZ7HxS9oxdGFua419cY/mFDtwYudL/jIr2Ffr53A
r2FjpzbYNQOlUvmL6NZhIp52em1Kw53jsLfYcMYVFhHD7SLaedIMqgCiBLxqKFY3
5i8f9xcjd+o3Dir1+u8ruLLOA0JtuGyt/MttTY+fqZmd6TfCueTIYhKRkx56e2EK
p70+IDC7MdWn63S/hWjBiFcflY6H0FweGXWNtorJ36qF0++f3su8/oGidME/K9dJ
nLfgVDSzfmvkMudL5FayyYSATqJk/glE8sXWaeDL93vT9HGaKpXrl9aaeTGYdBKa
Y9BLBrMmEfptJk4WKxZYFu2asXn0vg==
=JSZS
-----END PGP SIGNATURE-----

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu Apr 15 17:12:06 2021;